Subject: bug#27422: 25.2; Desktop mode fails to restore window registers

From: martin rudalics <[email-masked]>
Date: Mon, 19 Jun 2017 10:04:49 +0200

>> This said, I have the impression that this is already done (at least partly)
 >> in newer Emacsen.
 >
 > Don't know what it's worth.

I think he means that C-x r f should work as intended.  To fix C-x r w
accordingly you would have to write a new function, say
‘window-state-to-register’, based on ‘window-state-get’ and, when you
later jump to that register, use ‘window-state-put’ to put the state
saved in that register into the selected window.  Binding C-x r w to
that new function should then produce a register you can restore in a
later session.  Could you try implementing and testing that?

martin